Bug 1008475 - Organizational Unit Manager: owner serves no purpose
Organizational Unit Manager: owner serves no purpose
Status: CLOSED WONTFIX
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity medium
: ER4
: 6.0.0
Assigned To: manstis
Zuzana Krejčová
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-16 08:54 EDT by Zuzana Krejčová
Modified: 2016-07-31 21:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 08:00:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zuzana Krejčová 2013-09-16 08:54:09 EDT
Description of problem:
You can create a group with an owner. You cannot change the owner and you cannot get any information about who the owner is, if there even is one, later.

The owner seems to server no purpose. Any ADMIN can delete the group, add repositories to or remove them from the group. User without ADMIN role cannot even see the Organizational Unit Manager screen.

Please don't confuse users with unnecessary and unused data/settings such as this.
Comment 1 manstis 2013-09-23 16:29:40 EDT
I discussed "Owner" with my colleagues. Our general feeling was that whilst it doesn't serve an immediate purpose in 6.0 it could be of greater use in 6.1 when there could be approval processes for activities within Organizational Units (e.g. Create New Repository) that could be referred to the owner.

At the moment Owner is optional throughout the Organizational Unit Manager screens; thus does not add any burden on the user, If you feel strongly about this we can remove all notion of Owner.
Comment 2 Zuzana Krejčová 2013-09-24 05:38:03 EDT
(In reply to manstis from comment #1) 
> At the moment Owner is optional throughout the Organizational Unit Manager
> screens; thus does not add any burden on the user, If you feel strongly
> about this we can remove all notion of Owner.

It's more about consistency - we're trying to get rid of things that are not necessary, server no purpose and/or confuse the user, mostly as a result of the UX sessions. As an example, see bug 1006482. With that in mind, it seems wrong to keep something that has no use.

If you have some useful purpose for this for the future, then let's keep this open for now and we can address this for the 6.1. It is not that big of an issue after all.

Note You need to log in before you can comment on or make changes to this bug.